MDL-22308 Update lib/bennu to latest upstream.